# Uses of Interface
org.gitana.platform.client.directory.Directory

Packages that use Directory
Package
Description
org.gitana.platform.client.directory
org.gitana.platform.client.identity
org.gitana.platform.client.platform
org.gitana.platform.client.principal
org.gitana.platform.client.support

## Uses of Directory in org.gitana.platform.client.directory

Classes in org.gitana.platform.client.directory that implement Directory
Modifier and Type
Class
Description
`class`
`DirectoryImpl`
Methods in org.gitana.platform.client.directory that return Directory
Modifier and Type
Method
Description
`Directory`
AbstractDirectoryDocumentImpl.`getDirectory()`
`Directory`
DirectoryDocument.`getDirectory()`
Constructors in org.gitana.platform.client.directory with parameters of type Directory
Modifier
Constructor
Description
`protected`
`AbstractDirectoryDocumentImpl(Directory directory, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Directory in org.gitana.platform.client.identity

Constructors in org.gitana.platform.client.identity with parameters of type Directory
Modifier
Constructor
Description
``
`IdentityImpl(Directory directory, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Directory in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return Directory
Modifier and Type
Method
Description
`Directory`
Platform.`createDirectory()`
`Directory`
Platform.`createDirectory(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Directory`
PlatformImpl.`createDirectory()`
`Directory`
PlatformImpl.`createDirectory(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Directory`
Platform.`readDirectory(String directoryId)`
`Directory`
PlatformImpl.`readDirectory(String directoryId)`
`Directory`
Platform.`readPrimaryDirectory()`
`Directory`
PlatformImpl.`readPrimaryDirectory()`
Methods in org.gitana.platform.client.platform that return types with arguments of type Directory
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Directory>`
Platform.`listDirectories()`
`org.gitana.platform.support.ResultMap<Directory>`
Platform.`listDirectories(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Directory>`
PlatformImpl.`listDirectories()`
`org.gitana.platform.support.ResultMap<Directory>`
PlatformImpl.`listDirectories(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Directory>`
Platform.`queryDirectories(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Directory>`
Platform.`queryDirectories(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Directory>`
PlatformImpl.`queryDirectories(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Directory>`
PlatformImpl.`queryDirectories(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of Directory in org.gitana.platform.client.principal

Methods in org.gitana.platform.client.principal that return Directory
Modifier and Type
Method
Description
`Directory`
DomainUser.`readDirectory()`
`Directory`
DomainUserImpl.`readDirectory()`

## Uses of Directory in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Directory
Modifier and Type
Method
Description
`Directory`
ObjectFactory.`directory(Platform platform)`
`Directory`
ObjectFactory.`directory(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Directory`
ObjectFactory.`directory(Platform platform, Response response)`
`Directory`
ObjectFactoryImpl.`directory(Platform platform)`
`Directory`
ObjectFactoryImpl.`directory(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Directory`
ObjectFactoryImpl.`directory(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Directory
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Directory>`
ObjectFactory.`directories(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Directory>`
ObjectFactoryImpl.`directories(Platform platform, Response response)`
Methods in org.gitana.platform.client.support with parameters of type Directory
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Identity>`
ObjectFactory.`identities(Directory directory, Response response)`
`org.gitana.platform.support.ResultMap<Identity>`
ObjectFactoryImpl.`identities(Directory directory, Response response)`
`Identity`
ObjectFactory.`identity(Directory directory, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Identity`
ObjectFactory.`identity(Directory directory, Response response)`
`Identity`
ObjectFactoryImpl.`identity(Directory directory, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Identity`
ObjectFactoryImpl.`identity(Directory directory, Response response)`